> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/knowledge-base-kb-api.md).

# Knowledge Base (KB) API

- [API reference](https://docs.bird.com/api/knowledge-base-kb-api/api-reference.md): These are API related to knowledge base documents.
- [Documents](https://docs.bird.com/api/knowledge-base-kb-api/api-reference/documents.md): API for knowledge base documents
- [Folders](https://docs.bird.com/api/knowledge-base-kb-api/api-reference/folders.md)
- [Import](https://docs.bird.com/api/knowledge-base-kb-api/api-reference/folders/import.md): Import new knowledge base documents
- [Search](https://docs.bird.com/api/knowledge-base-kb-api/api-reference/search.md): API to do text search on a given workspace for knowledge base Documents.
- [Presigned upload](https://docs.bird.com/api/knowledge-base-kb-api/api-reference/presigned-upload.md): API to upload the template HTML content.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/knowledge-base-kb-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
